QueryParameter

class oci.resource_scheduler.models.QueryParameter(**kwargs)

Bases: Parameter

This is an input parameter that will be passed as URL query parameter.

Attributes:

PARAMETER_TYPE_BODY

A constant which can be used with the parameter_type property of a Parameter.

PARAMETER_TYPE_HEADER

A constant which can be used with the parameter_type property of a Parameter.

PARAMETER_TYPE_PATH

A constant which can be used with the parameter_type property of a Parameter.

PARAMETER_TYPE_QUERY

A constant which can be used with the parameter_type property of a Parameter.

parameter_type

[Required] Gets the parameter_type of this Parameter.

value

Gets the value of this QueryParameter.

Methods:

__init__(**kwargs)

Initializes a new QueryParameter object with values from keyword arguments.

get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.

PARAMETER_TYPE_BODY = 'BODY'

A constant which can be used with the parameter_type property of a Parameter. This constant has a value of “BODY”

PARAMETER_TYPE_HEADER = 'HEADER'

A constant which can be used with the parameter_type property of a Parameter. This constant has a value of “HEADER”

PARAMETER_TYPE_PATH = 'PATH'

A constant which can be used with the parameter_type property of a Parameter. This constant has a value of “PATH”

PARAMETER_TYPE_QUERY = 'QUERY'

A constant which can be used with the parameter_type property of a Parameter. This constant has a value of “QUERY”

__init__(**kwargs)

Initializes a new QueryParameter object with values from keyword arguments. The default value of the parameter_type attribute of this class is QUERY and it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • parameter_type (str) – The value to assign to the parameter_type property of this QueryParameter. Allowed values for this property are: “HEADER”, “BODY”, “PATH”, “QUERY”

  • value (dict(str, str)) – The value to assign to the value property of this QueryParameter.

static get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.

property parameter_type

[Required] Gets the parameter_type of this Parameter. This is the parameter type on which the input parameter is defined

Allowed values for this property are: “HEADER”, “BODY”, “PATH”, “QUERY”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.

Returns

The parameter_type of this Parameter.

Return type

str

property value

Gets the value of this QueryParameter. This is the query parameter value.

Returns

The value of this QueryParameter.

Return type

dict(str, str)